Skip to main content

Atrium API

Categorize Transactions

Use this endpoint to categorize, cleanse, and classify transactions. These transactions are not persisted or stored on the MX platform.

This endpoint is limited to 100 transactions per request.

POST
/transactions/cleanse_and_categorize

Request Body

FieldRequiredType

amount

Optional
String

description

Required
String

identifier

Required
String

merchant_category_code

Optional
String

type

Optional
String

Request sample

Language:sh

_29
curl -i -X POST 'https://vestibule.mx.com/transactions/cleanse_and_categorize' \
_29
-H 'Content-Type: application/json' \
_29
-H 'Accept: application/vnd.mx.atrium.v1+json' \
_29
-H 'MX-API-Key: {mx_api_key}' \
_29
-H 'MX-Client-ID: {mx_client_id}' \
_29
-d '{
_29
"transactions": [
_29
{
_29
"amount": 11.22,
_29
"description": "BEER BAR 65000000764SALT LAKE C",
_29
"identifier": "12",
_29
"merchant_category_code": 6011,
_29
"type": "DEBIT"
_29
},
_29
{
_29
"amount": 21.33,
_29
"description": "IN-N-OUT BURGER #239AMERICAN FO",
_29
"identifier": "13",
_29
"merchant_category_code": 6011,
_29
"type": "DEBIT"
_29
},
_29
{
_29
"amount": 1595.33,
_29
"description": "ONLINE PAYMENT - THANK YOU",
_29
"identifier": "14",
_29
"type": "CREDIT"
_29
}
_29
]
_29
}'

Response sample

200
Language:json

_76
{
_76
"transactions": [
_76
{
_76
"amount": 11.22,
_76
"categorized_by": 15,
_76
"category": "Cash",
_76
"category_guid": "CAT-08a5d861-2890-686e-ebaf-d7632ec88540",
_76
"described_by": 0,
_76
"description": "Beer Bar",
_76
"identifier": "12",
_76
"is_bill_pay": null,
_76
"is_direct_deposit": false,
_76
"is_expense": null,
_76
"is_fee": null,
_76
"is_income": false,
_76
"is_international": null,
_76
"is_overdraft_fee": false,
_76
"is_payroll_advance": null,
_76
"is_subscription": null,
_76
"memo": null,
_76
"merchant_category_code": 6011,
_76
"merchant_guid": null,
_76
"merchant_location_guid": null,
_76
"original_description": "BEER BAR 65000000764SALT LAKE C",
_76
"type": "DEBIT"
_76
},
_76
{
_76
"amount": 21.33,
_76
"categorized_by": 15,
_76
"category": "Cash",
_76
"category_guid": "CAT-08a5d861-2890-686e-ebaf-d7632ec88540",
_76
"described_by": 6,
_76
"description": "In-N-Out Burger",
_76
"identifier": "13",
_76
"is_bill_pay": null,
_76
"is_direct_deposit": null,
_76
"is_expense": null,
_76
"is_fee": null,
_76
"is_income": false,
_76
"is_international": null,
_76
"is_overdraft_fee": null,
_76
"is_payroll_advance": null,
_76
"is_subscription": null,
_76
"memo": null,
_76
"merchant_category_code": 6011,
_76
"merchant_guid": "MCH-4a889eb0-0459-f66f-a137-c5e06409d8e6",
_76
"merchant_location_guid": null,
_76
"original_description": "IN-N-OUT BURGER #239AMERICAN FO",
_76
"type": "DEBIT"
_76
},
_76
{
_76
"amount": 1595.33,
_76
"categorized_by": 13,
_76
"category": "Credit Card Payment",
_76
"category_guid": "CAT-2cc9b500-e09d-88be-e3e0-0a8a82a54586",
_76
"described_by": 6,
_76
"description": "Online Payment Thank You",
_76
"identifier": "14",
_76
"is_bill_pay": null,
_76
"is_direct_deposit": null,
_76
"is_expense": null,
_76
"is_fee": null,
_76
"is_income": false,
_76
"is_international": null,
_76
"is_overdraft_fee": null,
_76
"is_payroll_advance": null,
_76
"is_subscription": null,
_76
"memo": null,
_76
"merchant_category_code": null,
_76
"merchant_guid": null,
_76
"merchant_location_guid": null,
_76
"original_description": "ONLINE PAYMENT - THANK YOU",
_76
"type": "CREDIT"
_76
}
_76
]
_76
}